POST
Advanced Wallets - Consolidate Account
Build, sign, and send a consolidation transaction, all in one call. For account-based assets, consolidating the balances in the receive addresses to the base address maximizes the spendable balance of a wallet.
Retrieves the private key from KMS using the provided public key or common keychain, then signs and broadcasts the transaction.
Use this endpoint only with advanced wallets. For other wallet types, use Consolidate account (simple).
Path Params
-
walletIdstring required -
coinstring required
Body Params
object
-
sourcestring enum requiredThe key to use for signing the transactionuserbackup -
pubkeystringPublic key of the key used for signing multisig transactions -
consolidateAddressesarray of strings -
commonKeychainstringFor TSS wallets, this is the common keychain of the wallet -
apiVersionstring enumThe Trasaction Request API version to use for MPC EdDSA Hot Wallets. Defaults based on the wallet type and asset curve.fulllite
Responses
200
OK
No response body
400
Bad Request
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
404
Not Found
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
409
Conflict
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
422
Unprocessable Entity
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
500
Internal Server Error
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
501
Not Implemented
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details